Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.jstl.sql
Interface SQLExecutionTag

All Known Implementing Classes:
  QueryTag, QueryTag, QueryTagSupport, UpdateTag, UpdateTag, UpdateTagSupport

    public interface SQLExecutionTag

This interface allows tag handlers implementing it to receive values for parameter markers in their SQL statements.

This interface is implemented by both <sql:query> and <sql:update>. Its `addSQLParameter()` method is called by nested parameter actions (such as <sql:param>) to substitute `PreparedStatement` parameter values for "?" parameter markers in the SQL statement of the enclosing `SQLExecutionTag` action.

The given parameter values are converted to their corresponding SQL type (following the rules in the JDBC specification) before they are sent to the database.

Keeping track of the index of the parameter values being added is the responsibility of the tag handler implementing this interface

The `SQLExcecutionTag` interface is exposed in order to support custom parameter actions which may retrieve their parameters from any source and process them before substituting them for a parameter marker in the SQL statement of the enclosing `SQLExecutionTag` action

Author:
  Justyna Horwat

Method Summary
`void` | `addSQLParameter(Object value)` Adds a PreparedStatement parameter value.

Method Detail

### addSQLParameter

    void addSQLParameter(Object value)

  Adds a PreparedStatement parameter value. Must behave as if it calls `PreparedStatement.setObject(int, Object)`. For each tag invocation, the integral index passed logically to `setObject()` must begin with 1 and must be incremented by 1 for each subsequent invocation of `addSQLParameter()`. The Object logically passed to `setObject()` must be the unmodified object received in the value argument.

  Parameters:
    `value` - the `PreparedStatement` parameter value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.